SYNC(2)

NAME
sync - synchronize disk block in-core status with that on disk

SYNOPSIS
#include <unistd.h>
void
sync(void);

DESCRIPTION
The sync() function forces a write of dirty (modified) buffers in the block buffer cache out to disk. The kernel keeps this information in core to reduce the number of disk I/O transfers required by the system. As information in the cache is lost after a system crash a sync() call is issued frequently by the in-kernel process update (about every 30 seconds).

The function fsync(2) may be used to synchronize individual file descriptor attributes.

SEE ALSO
fsync(2), sync(8)

STANDARDS
The sync() function conforms to p1003.1-2008.

HISTORY
A sync() function appeared in AT&T UNIX.

BUGS
sync() may return before the buffers are completely flushed.